Skip to main content
GET
List document requests

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Query Parameters

business_id
string<uuid>

Filter by business

Example:

"987e6543-e21a-45b6-c789-012345678901"

type
enum<string>

Filter by document type

Available options:
certificate_of_good_standing
status
enum<string>

Filter by status

Available options:
queued,
processing,
completed,
failed
limit
number

Page size, max 100 (default 10)

cursor
string

Cursor from a previous page

Response

200 - application/json

Document requests, newest first

object
enum<string>
required

Object type identifier, always "list"

Available options:
list
Example:

"list"

has_more
boolean
required

Whether there are more results available

Example:

true

next_cursor
string | null
required

Cursor for the next page of results. Only present when has_more is true.

Example:

"crs_7g8h9i0j1k2l3m4n"

data
object[]
required

Array of resources for the current page